# Statement

Retrieve your account statement and see individual entries for all credits and debits. Specify a date range and other optional filter values.

__Authentication header__

  ```
    Authorization: {your_credentials}
  ```
  Replace `{your_credentials}` with your base64-encoded Basic Auth username and password given to you by your Implementation Manager.
  <br /> <br />
  You **must** use the `Authorization` header for any request you send to our Account APIs.
  <br /><br />
  __Accept header__
  ```
    Accept: application/vnd.worldpay.accounts.statements-v1+json
  ```

We use the Accept header to identify which version of our API you are using. You must use the Accept header for any request you send to our Account APIs.
<br /><br />
__DNS whitelisting__

Whitelist the following URLs:
* `https://try.access.worldpay-bsh.securedataplatform.com/`
* `https://access.worldpay-bsh.securedataplatform.com/`

Please ensure you use DNS whitelisting, not explicit IP whitelisting. When you make a request within Access Worldpay, you should always cache the response returned.

Version: 1
Metadata:
  - category: ["Accounts"]
  - business: ["Enterprise"]
  - generated: false

## Servers

Test (Try)
```
https://try.access.worldpay-bsh.securedataplatform.com
```

Live
```
https://access.worldpay-bsh.securedataplatform.com
```

## Security

### basicAuth

Type: http
Scheme: basic

## Download OpenAPI description

[Statement](https://worldpay-portal.eu.redocly.app/access/_bundle/products/statements/@v1/openapi.yaml)

## Other

### Query account statement items

 - [GET /accounts/statements](https://worldpay-portal.eu.redocly.app/access/products/statements/v1/openapi/other/getaccountstatement.md): Retrieve statement entries for an account number using the filter criteria.

